package com.cmvr.system.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cmvr.common.core.domain.entity.SysGroup;

/**
 * 通用分组配置接口
 *
 * @author cmvr-iot
 */
public interface ISysGroupService extends IService<SysGroup> {
    /**
     * 查询通用分组配置
     *
     * @param groupId 通用分组配置主键
     * @return 通用分组配置
     */
    public SysGroup selectSysGroupByGroupId(Long groupId);

    /**
     * 查询通用分组配置列表
     *
     * @param sysGroup 通用分组配置
     * @return 通用分组配置集合
     */
    public List<SysGroup> selectSysGroupList(SysGroup sysGroup);

    /**
     * 新增通用分组配置
     *
     * @param sysGroup 通用分组配置
     * @return 结果
     */
    public int insertSysGroup(SysGroup sysGroup);

    /**
     * 修改通用分组配置
     *
     * @param sysGroup 通用分组配置
     * @return 结果
     */
    public int updateSysGroup(SysGroup sysGroup);

    /**
     * 批量删除通用分组配置
     *
     * @param groupIds 需要删除的通用分组配置主键集合
     * @return 结果
     */
    public int deleteSysGroupByGroupIds(Long[] groupIds);

    /**
     * 删除通用分组配置信息
     *
     * @param groupId 通用分组配置主键
     * @return 结果
     */
    public int deleteSysGroupByGroupId(Long groupId);
}
